Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class AttributeDescription

    java.lang.Object
      |
      +--org.omg.CORBA.AttributeDescription

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class AttributeDescription
extends java.lang.Object
implements IDLEntity

This structure provides all data that describe an attribute. This structure is used by the describe operation when it is applied to an attribute.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `defined_in` Struct member defined_in
`java.lang.String` | `id` Struct member id
`AttributeMode` | `mode` Struct member mode
`java.lang.String` | `name` Struct member name
`TypeCode` | `type` Struct member type
`java.lang.String` | `version` Struct member version

Constructor Summary
`AttributeDescription()` Default constructor
`AttributeDescription(java.lang.String name, java.lang.String id, java.lang.String defined_in, java.lang.String version, TypeCode type, AttributeMode mode)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  Struct member name

### id

    public java.lang.String id

  Struct member id

### defined_in

    public java.lang.String defined_in

  Struct member defined_in

### version

    public java.lang.String version

  Struct member version

### type

    public TypeCode type

  Struct member type

### mode

    public AttributeMode mode

  Struct member mode

Constructor Detail

### AttributeDescription

    public AttributeDescription()

  Default constructor

### AttributeDescription

    public AttributeDescription(java.lang.String name,
                                java.lang.String id,
                                java.lang.String defined_in,
                                java.lang.String version,
                                TypeCode type,
                                AttributeMode mode)

  Constructor with fields initialization
  Parameters:
    `name` - name struct member
    `id` - id struct member
    `defined_in` - defined_in struct member
    `version` - version struct member
    `type` - type struct member
    `mode` - mode struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD